## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLTableFunction

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, TableExpression, TableFunction, TableReference

    public interface XMLTableFunction

extends TableFunction

A representation of the model object 'XML Table Function'.

The following features are supported:

- `Table Row Pattern`
- `Xquery Arg List`
- `Column Def List`
- `Namespaces Decl`

See Also:
  `SQLXMLQueryModelPackage.getXMLTableFunction()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumnDefList()` Returns the value of the 'Column Def List' containment reference list.
`XMLNamespacesDeclaration` `getNamespacesDecl()` Returns the value of the 'Namespaces Decl' containment reference.
`java.lang.String` `getTableRowPattern()` Returns the value of the 'Table Row Pattern' attribute.
`XMLQueryArgumentList` `getXqueryArgList()` Returns the value of the 'Xquery Arg List' containment reference.
`void` `setNamespacesDecl(XMLNamespacesDeclaration value)` Sets the value of the '`Namespaces Decl`' containment reference.
`void` `setTableRowPattern(java.lang.String value)` Sets the value of the '`Table Row Pattern`' attribute.
`void` `setXqueryArgList(XMLQueryArgumentList value)` Sets the value of the '`Xquery Arg List`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableFunction
`getFunction, getParameterList, setFunction`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getMergeTargetTable, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setMergeTargetTable, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getMergeSourceTable, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setMergeSourceTable, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTableRowPattern

    java.lang.String getTableRowPattern()

  Returns the value of the 'Table Row Pattern' attribute.

  If the meaning of the 'Table Row Pattern' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Row Pattern' attribute.
  See Also:
    `setTableRowPattern(String)`, `SQLXMLQueryModelPackage.getXMLTableFunction_TableRowPattern()`

### setTableRowPattern

    void setTableRowPattern(java.lang.String value)

  Sets the value of the '`Table Row Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'Table Row Pattern' attribute.
  See Also:
    `getTableRowPattern()`

### getXqueryArgList

    XMLQueryArgumentList getXqueryArgList()

  Returns the value of the 'Xquery Arg List' containment reference. It is bidirectional and its opposite is '`Table Function`'.

  If the meaning of the 'Xquery Arg List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Arg List' containment reference.
  See Also:
    `setXqueryArgList(XMLQueryArgumentList)`, `SQLXMLQueryModelPackage.getXMLTableFunction_XqueryArgList()`, `XMLQueryArgumentList.getTableFunction()`

### setXqueryArgList

    void setXqueryArgList(XMLQueryArgumentList value)

  Sets the value of the '`Xquery Arg List`' containment reference.

  Parameters:
    `value` - the new value of the 'Xquery Arg List' containment reference.
  See Also:
    `getXqueryArgList()`

### getColumnDefList

    org.eclipse.emf.common.util.EList getColumnDefList()

  Returns the value of the 'Column Def List' containment reference list. The list contents are of type `XMLTableColumnDefinitionItem`. It is bidirectional and its opposite is '`Table Function`'.

  If the meaning of the 'Column Def List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Def List' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLTableFunction_ColumnDefList()`, `XMLTableColumnDefinitionItem.getTableFunction()`

### getNamespacesDecl

    XMLNamespacesDeclaration getNamespacesDecl()

  Returns the value of the 'Namespaces Decl' containment reference. It is bidirectional and its opposite is '`Table Function`'.

  If the meaning of the 'Namespaces Decl' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Namespaces Decl' containment reference.
  See Also:
    `setNamespacesDecl(XMLNamespacesDeclaration)`, `SQLXMLQueryModelPackage.getXMLTableFunction_NamespacesDecl()`, `XMLNamespacesDeclaration.getTableFunction()`

### setNamespacesDecl

    void setNamespacesDecl(XMLNamespacesDeclaration value)

  Sets the value of the '`Namespaces Decl`' containment reference.

  Parameters:
    `value` - the new value of the 'Namespaces Decl' containment reference.
  See Also:
    `getNamespacesDecl()`